<form {{on "submit" this.onSubmit}} class="form">
  <p class="form__mandatory-fields-information" aria-hidden="true">
    <abbr title={{t "common.form.mandatory-fields-title"}} class="mandatory-mark">*</abbr>
    {{t "common.form.mandatory-fields"}}
  </p>

  <div class="form__field">
    <PixInput
      @id="campaign-name"
      @name="campaign-name"
      @label={{t "pages.campaign-creation.name.label"}}
      @requiredLabel={{t "common.form.mandatory-fields-title"}}
      type="text"
      class="input"
      maxlength="255"
      {{on "change" this.onChangeCampaignName}}
      required={{true}}
      aria-required={{true}}
    />

    {{#if @errors.name}}
      <div class="form__error error-message">
        {{display-campaign-errors @errors.name}}
      </div>
    {{/if}}
  </div>

  <div class="form__field-with-info form__field">
    <PixSelect
      @options={{this.campaignOwnerOptions}}
      @onChange={{this.onChangeCampaignOwner}}
      @value={{this.ownerId}}
      @isSearchable={{true}}
      @placeholder={{t "pages.campaign-creation.owner.placeholder"}}
      @searchLabel={{t "pages.campaign-creation.owner.search-placeholder"}}
      @searchPlaceholder={{t "pages.campaign-creation.owner.search-placeholder"}}
      @label={{t "pages.campaign-creation.owner.label"}}
      @requiredText={{t "common.form.mandatory-fields-title"}}
      @hideDefaultOption={{true}}
    />

    <div class="form__field-info">
      <span class="form__field-info-title">
        <FaIcon @icon="circle-info" class="form__field-info-icon" />
        <span>{{t "pages.campaign-creation.owner.title"}}</span>
      </span>
      <span class="form__field-info-message">{{t "pages.campaign-creation.owner.info"}}</span>
    </div>
  </div>

  <div class="form__field" role="radiogroup" aria-labelledby="collect-profiles-label">
    <p id="collect-profiles-label" class="label">
      <abbr title={{t "common.form.mandatory-fields-title"}} class="mandatory-mark" aria-hidden="true">*</abbr>
      {{t "pages.campaign-creation.purpose.label"}}
    </p>
    <div class="form__field-with-info">
      <PixRadioButton
        name="campaign-goal"
        @label={{t "pages.campaign-creation.purpose.assessment"}}
        @value="assess-participants"
        {{on "change" this.setCampaignGoal}}
        aria-describedby="campaign-goal-assessment-info"
      />

      <PixRadioButton
        name="campaign-goal"
        @label={{t "pages.campaign-creation.purpose.profiles-collection"}}
        @value="collect-participants-profile"
        {{on "change" this.setCampaignGoal}}
        aria-describedby="campaign-goal-profiles-collection-info"
      />
      {{#if @errors.type}}
        <div class="form__error error-message">
          {{display-campaign-errors @errors.type}}
        </div>
      {{/if}}
      {{#if this.isCampaignGoalAssessment}}
        <div class="form__field-info" id="campaign-goal-assessment-info">
          <span class="form__field-info-title">
            <FaIcon @icon="circle-info" class="form__field-info-icon" />
            <span>{{t "pages.campaign-creation.purpose.assessment"}}</span>
          </span>
          <span class="form__field-info-message">{{t "pages.campaign-creation.purpose.assessment-info"}}</span>
        </div>
      {{else if this.isCampaignGoalProfileCollection}}
        <div class="form__field-info" id="campaign-goal-profiles-collection-info">
          <span class="form__field-info-title">
            <FaIcon @icon="circle-info" class="form__field-info-icon" />
            <span>{{t "pages.campaign-creation.purpose.profiles-collection"}}</span>
          </span>
          <span class="form__field-info-message">
            {{t "pages.campaign-creation.purpose.profiles-collection-info"}}
          </span>
        </div>
      {{/if}}
    </div>
  </div>

  {{#if this.isCampaignGoalAssessment}}
    <div class="form__field-with-info form__field-with-info--small">
      <PixFilterableAndSearchableSelect
        @label={{t "pages.campaign-creation.target-profiles-list-label"}}
        @placeholder={{t "pages.campaign-creation.target-profiles-label"}}
        @options={{this.targetProfilesOptions}}
        @hideDefaultOption={{true}}
        @onChange={{this.selectTargetProfile}}
        @categoriesLabel={{t "pages.campaign-creation.target-profiles-category-label"}}
        @categoriesPlaceholder={{t "pages.campaign-creation.target-profiles-category-placeholder"}}
        @value={{this.targetProfile.id}}
        @requiredText={{t "common.form.mandatory-fields-title"}}
        @errorMessage={{if @errors.targetProfile (t "api-error-messages.campaign-creation.target-profile-required")}}
        @isSearchable={{true}}
        @searchLabel={{t "pages.campaign-creation.target-profiles-search-placeholder"}}
      />
      {{#if this.targetProfile}}
        <div class="form__field-info" id="target-profile-info">
          <span class="form__field-info-title">
            <FaIcon @icon="circle-info" class="form__field-info-icon" />
            <span>{{this.targetProfile.name}}</span>
          </span>

          <Campaign::TargetProfileDetails
            class="form__field-info-message"
            @targetProfileDescription={{this.targetProfile.description}}
            @hasStages={{this.targetProfile.hasStage}}
            @hasBadges={{gt this.targetProfile.thematicResultCount 0}}
            @targetProfileTubesCount={{this.targetProfile.tubeCount}}
            @targetProfileThematicResultCount={{this.targetProfile.thematicResultCount}}
          />
        </div>
      {{/if}}
    </div>
  {{/if}}

  {{#if this.isCampaignGoalProfileCollection}}
    <div class="form__field">
      <p id="multiple-sendings-label" class="label">
        <abbr title={{t "common.form.mandatory-fields-title"}} class="mandatory-mark" aria-hidden="true">*</abbr>
        {{t "pages.campaign-creation.multiple-sendings.question-label"}}
      </p>
      <div class="form__field-with-info" aria-labelledby="multiple-sendings-label" role="radiogroup">
        <PixRadioButton
          name="multiple-sendings-label"
          @label={{t "pages.campaign-creation.no"}}
          @value="false"
          {{on "change" (fn this.selectMultipleSendingsStatus false)}}
          aria-describedby="multiple-sendings-info"
        />

        <PixRadioButton
          name="multiple-sendings-label"
          @label={{t "pages.campaign-creation.yes"}}
          @value="true"
          {{on "change" (fn this.selectMultipleSendingsStatus true)}}
          aria-describedby="multiple-sendings-info"
        />

        <div class="form__field-info" id="multiple-sendings-info">
          <span class="form__field-info-title">
            <FaIcon @icon="circle-info" class="form__field-info-icon" />
            <span>{{t "pages.campaign-creation.multiple-sendings.info-title"}}</span>
          </span>
          <span class="form__field-info-message">{{t "pages.campaign-creation.multiple-sendings.info"}}</span>
        </div>
      </div>
    </div>
  {{/if}}

  <div class="form__field" aria-labelledby="external-ids-label" role="radiogroup">
    <p id="external-ids-label" class="label">
      <abbr title={{t "common.form.mandatory-fields-title"}} class="mandatory-mark" aria-hidden="true">*</abbr>
      {{t "pages.campaign-creation.external-id-label.question-label"}}
    </p>

    <PixRadioButton
      name="external-id-label"
      @label={{t "pages.campaign-creation.no"}}
      @value="false"
      {{on "change" this.doNotAskLabelIdPix}}
    />

    <PixRadioButton
      name="external-id-label"
      @label={{t "pages.campaign-creation.yes"}}
      @value="true"
      {{on "change" this.askLabelIdPix}}
    />
  </div>

  {{#if this.wantIdPix}}
    <div class="form__field">
      <PixInput
        @id="external-id-label"
        @name="external-id-label"
        @information={{t "pages.campaign-creation.external-id-label.suggestion"}}
        @label={{t "pages.campaign-creation.external-id-label.label"}}
        maxlength="255"
        {{on "change" this.onChangeExternalIdLabel}}
      />
      {{#if @errors.idPixLabel}}
        <div class="form__error error-message">
          {{display-campaign-errors @errors.idPixLabel}}
        </div>
      {{/if}}
    </div>
  {{/if}}

  {{#if this.isCampaignGoalAssessment}}
    <div class="form__field">
      <PixInput
        @label={{t "pages.campaign-creation.test-title.label"}}
        @id="campaign-title"
        @name="campaign-title"
        maxlength="50"
        {{on "change" this.onChangeCampaignTitle}}
      />
    </div>
  {{/if}}

  <div class="form__field">
    <PixTextarea
      @label={{t "pages.campaign-creation.landing-page-text.label"}}
      @id="custom-landing-page-text"
      @maxlength="5000"
      @value={{this.campaign.customLandingPageText}}
      rows="8"
    />
  </div>

  <div class="form__validation">
    <PixButton @triggerAction={{@onCancel}} @backgroundColor="transparent-light">
      {{t "common.actions.cancel"}}
    </PixButton>

    <PixButton @type="submit">
      {{t "pages.campaign-creation.actions.create"}}
    </PixButton>
  </div>

  {{#if this.wantIdPix}}
    <div class="new-item-form__gdpr-information help-text">
      {{t "pages.campaign-creation.legal-warning"}}
    </div>
  {{/if}}

</form>